Bug 1029948 - dnf does not show all desktop environments in dnf groups list output
dnf does not show all desktop environments in dnf groups list output
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
20
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Ales Kozumplik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-13 10:25 EST by Mukundan Ragavan
Modified: 2014-09-30 19:41 EDT (History)
7 users (show)

See Also:
Fixed In Version: dnf-0.4.8-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-24 18:42:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mukundan Ragavan 2013-11-13 10:25:00 EST
Description of problem:

dnf and yum are showing different information for the command {dnf/yum} groups list. Specifcially, not all the DE/WM seem to be listed in dnf output but it is listed in yum. I am just wondering if this is a bug or if it's intentional.


# rpm -qa dnf
dnf-0.4.7-1.fc20.noarch

# dnf groups list
Installed Groups:
   LibreOffice
   Editors
   Electronic Lab
   Milkymist
   Network Servers
   Office/Productivity
   Security Lab
   Text-based Internet
   Graphical Internet
   Sound and Video
   Hardware Support
   System Tools
   Fonts
   Design Suite
   Development Tools
Available Groups:
   Fedora Eclipse
   FreeIPA Server
   Educational Software
   Engineering and Scientific
   Medical Applications
   Robotics
   Window Managers
   3D Printing
   GNOME Desktop Environment
   KDE (K Desktop Environment)
   Games and Entertainment
   Administration Tools
   Authoring and Publishing
   Books and Guides
   Cloud Infrastructure
   RPM Development Tools
   C Development Tools and Libraries

======================================================

# yum groups list
Loaded plugins: langpacks, refresh-packagekit, remove-with-leaves
Available environment groups:
   GNOME Desktop
   KDE Plasma Workspaces
   Xfce Desktop
   LXDE Desktop
   Cinnamon Desktop
   MATE Desktop
   Sugar Desktop Environment
   Development and Creative Workstation
   Web Server
   Infrastructure Server
   Basic Desktop
   Minimal Install
Available Groups:
   3D Printing
   Administration Tools
   Authoring and Publishing
   Books and Guides
   C Development Tools and Libraries
   Cloud Infrastructure
   Design Suite
   Development Tools
   Editors
   Educational Software
   Electronic Lab
   Engineering and Scientific
   Fedora Eclipse
   FreeIPA Server
   Games and Entertainment
   LibreOffice
   Medical Applications
   Milkymist
   Network Servers
   Office/Productivity
   RPM Development Tools
   Robotics
   Security Lab
   Sound and Video
   System Tools
   Text-based Internet
   Window Managers



Is this a bug or is it intended?
Comment 1 Ales Kozumplik 2013-11-13 10:31:13 EST
Thanks for the report, the groups operations hasn't quite stabilized yet and this might be a bug. We'll take a look.
Comment 2 Ales Kozumplik 2013-11-15 08:01:49 EST
720c6fc in dnf master adds listing existing environments to 'dnf group list'. The patch will be included in dnf-0.4.8.
Comment 3 Mukundan Ragavan 2013-11-15 14:42:43 EST
Nice! Thanks for the quick response! :)
Comment 4 Fedora Update System 2013-11-21 10:55:51 EST
dnf-0.4.8-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dnf-0.4.8-1.fc20
Comment 5 Mukundan Ragavan 2013-11-21 22:46:52 EST
0.4.8 fixes this issue. dnf groups list output looks good.
Comment 6 lnie 2013-11-21 23:44:47 EST
fixed with 0.4.8-1.fc20
Comment 7 Fedora Update System 2013-11-23 23:03:53 EST
Package dnf-0.4.8-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-0.4.8-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-22052/dnf-0.4.8-1.fc20
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2013-11-24 18:42:03 EST
dnf-0.4.8-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.